Name: czech-adaptation
Version: 6.1
Release: 3

%define mydir /usr/lib/czech-adaptation

Copyright: GPL
Group: System Environment/Base
BuildRoot: /var/tmp/czech-adaptation
BuildArchitectures: noarch
Distribution: RedHat CZ team
Packager: Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
URL: ftp://ftp.spsselib.hiedu.cz/pub/users/Kerslager/RedHat/
Summary: Czech adaptation package for RedHat %version
Summary(cs): Pizpsoben distribuce RedHat %version eskmu prosted
Requires: redhat-release = 6.1
PreReq: perl fileutils textutils findutils /bin/chmod /bin/cp /bin/touch
Source0: %{name}-Xkbmap
Source1: %{name}-Xsession
Source2: %{name}-kpanelrc
Source3: %{name}-Netscape_Communicator.kdelnk
Obsoletes: z-czech-adaptation

%description
This package modifying RedHat %version distribution to deal with czech
language.  As this is very environment and language specific we do not
expect that you could have benefit from this package (if you are not
Czech ofcourse).

It modifying: AnotherLevel, kdebase, lynx, xinitrc,
              samba, Gnome (enlightenment, core), Squid and others

%description -l cs
Tento balk m za kol pizpsobit konfiguran soubory eskmu
prosted v tch ppadech, kdy je nevhodn pedlvat kompletn balky
z ist distribuce RedHatu %version. Tato metoda nen ist, sprvn
postup je protlait tyto zmny pokud mono do samotnch balk RedHatu
i dokonce do zdrojovch balk jednotlivch program a utilit.
Obsahuje lokalizan soubory, kter nejsou dosud ve standardnch
balcch nebo je to nevhodn a triggerov skripty, kter opatchuj
dan soubory.

Modifikuje balky: AnotherLevel, kdebase, lynx, xinitrc,
                   samba, Gnome (enlightenment, core), Squid a dal

%prep
%install

mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT%{mydir}
echo Czech adaptation package %{version}-%{release} installed > \
     $RPM_BUILD_ROOT/etc/%name
install -m 755 %{S:0} $RPM_BUILD_ROOT%{mydir}/Xkbmap
install -m 755 %{S:1} $RPM_BUILD_ROOT%{mydir}/Xsession
install -m 755 %{S:2} $RPM_BUILD_ROOT%{mydir}/kpanelrc
install -m 755 %{S:3} $RPM_BUILD_ROOT%{mydir}/Netscape_Communicator.kdelnk

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(0644,root,root)
%config /etc/%{name}
%config %attr(0755,root,root) %{mydir}/Xsession
%config %{mydir}/Xkbmap
%config %{mydir}/[^X]*

%triggerin -- initscripts
%define soubor /etc/inittab
if [ -x /usr/bin/perl -a -f %{soubor} ]; then
  perl -pi -e 's/mingetty tty1/mingetty --noclear tty1/s' %{soubor}
  echo %name: %{soubor} modified to not clear bootup messages 1>&2
fi
%define soubor /etc/sysconfig/i18n
# soubor nemusi existovat
if [ ! -f %{soubor} ]; then
   touch %{soubor}
fi
if ! grep -qi 'FONT=' %{soubor}; then
   echo "SYSFONT=ucw16.psf"     >> %{soubor}
   echo "UNIMAP=latin2-ucw.uni" >> %{soubor}
   echo "SYSFONTACM=latin2-ucw.scrnmap" >> %{soubor}
   [ -x /etc/rc.d/init.d/keytable ] && /etc/rc.d/init.d/keytable restart
   echo %name: %{soubor} modified for ISO-8859-2 on console 1>&2
   # pri instalaci Anaconda prepise nase upravy, takze se musime pojistit
   #   spinavym trikem. Nejprve kontrola, zda tam uz nejsme:
   %define rcloc /etc/rc.d/rc.local
   if grep -q 'velmi spinavy trik' %{rcloc}; then
     exit
   fi
   cp -a %{rcloc}{,.orig}
   cat >> %{rcloc} <<EOF

# Tohle je velmi spinavy trik, na opravu Anacondy neni cas
if [ -f %{soubor} ] && ! grep -qi 'FONT=' %{soubor}; then
   echo "SYSFONT=ucw16.psf"     >> %{soubor}
   echo "UNIMAP=latin2-ucw.uni" >> %{soubor}
   echo "SYSFONTACM=latin2-ucw.scrnmap" >> %{soubor}
fi
# kontrola klavesnice
%define soubor /etc/sysconfig/keyboard
[ ! -f %{soubor} ] && touch %{soubor}
if ! grep -qi 'KEYTABLE' %{soubor}; then
  echo "KEYTABLE=cz-lat2" > %{soubor}
fi
echo 1>&2
[ -x /etc/rc.d/init.d/keytable ] && /etc/rc.d/init.d/keytable restart
echo 1>&2
( sleep 10s ; mv -f %{rcloc}{.orig,} ) &
echo %name: %{soubor} modified for ISO-8859-2 on console again 1>&2
EOF
   echo %name: %{soubor} make sure it will be Ok after reboot 1>&2
fi

%triggerun -- initscripts
%define soubor /etc/inittab
if [ -x /usr/bin/perl -a -f %{soubor} ]; then
  perl -pi -e 's/mingetty --noclear tty1/mingetty tty1/s' %{soubor}
  echo %name: %{soubor} modified to not clear bootup messages 1>&2
fi

%triggerin -- wget
%define soubor /etc/wgetrc
if [ -f %{soubor} ]; then
  if ! grep -qi '^header *= *Accept-Language: *cs' %{soubor}; then
    echo -e '\nheader=Accept-Language: cs' >> %{soubor}
    echo %name: %{soubor} modified to accept Czech language 1>&2
  fi
fi

%triggerun -- wget
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/wgetrc
if [ -x /usr/bin/perl -a -f %{soubor} ]; then
  perl -pi -e 's/^(header *= *Accept-Language: *cs.*)/#$1/s' %{soubor}
  echo %name: %{soubor} restored 1>&2
fi

%triggerin -- kdebase
if [ -x /usr/bin/perl ]; then
  %define soubor /usr/share/config/kdmrc
  if [ -r %{soubor} ]; then
    perl -pi -e 's/iso-8859-1/iso-8859-2/g' %{soubor}
    echo %name: %{soubor} modified for ISO-8859-2 1>&2
  fi
fi
%define soubor /usr/share/config/kpanelrc
if [ -f %{soubor} ]; then
  if [ ! -f %{soubor}.orig ]; then
    mv -f %{soubor}{,.orig}
  fi
  cp -af %{mydir}/kpanelrc %{soubor}
  echo %name: %{soubor} modified for our needs 1>&2
fi
%define soubor /usr/share/applnk/Internet/Netscape_Communicator.kdelnk
if [ ! -f %{soubor} ]; then
  cp -af %{mydir}/Netscape_Communicator.kdelnk %{soubor}
  echo %name: %{soubor} added 1>&2
fi

%triggerun -- kdebase
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /usr/share/config/kdmrc
if [ -x /usr/bin/perl -a -r %{soubor} ]; then
  perl -pi -e 's/iso-8859-2/iso-8859-1/g' %{soubor}
  echo %name: %{soubor} restored 1>&2
fi
%define soubor /usr/share/applnk/Internet/Netscape_Communicator.kdelnk
if [ -f %{soubor} ]; then
  rm -f %{soubor}
  echo %name: %{soubor} deleted 1>&2
fi
%define soubor /usr/share/config/kpanelrc
if [ -f %{soubor}.orig ]; then
  mv %{soubor}{.orig,}
  echo %name: %{soubor} restored 1>&2
fi

%triggerin -- gnome-core
if [ -x /usr/bin/perl ]; then
  if [ -r /usr/share/gnome/apps/Utilities/gnome-terminal.desktop ]; then
    perl -pi -e 's/^(Exec=gnome-terminal)$/$1 --font="-misc-fixed-medium-r-normal--14-\*-iso8859-2"/' /usr/share/gnome/apps/Utilities/gnome-terminal.desktop
    echo %name: /usr/share/gnome/apps/Utilities/gnome-terminal.desktop modified for ISO-8859-2 1>&2
  fi
  if [ -r /usr/share/gnome/apps/Utilities/UNIX-regular.desktop ]; then
    perl -pi -e 's/^(Exec=xterm)$/$1 -fn "-misc-fixed-medium-r-normal--14-\*-iso8859-2" -bg black -fg white -cr white -name xterm/' /usr/share/gnome/apps/Utilities/UNIX-regular.desktop
    echo %name: /usr/share/gnome/apps/Utilities/UNIX-regular.desktop modified for ISO-8859-2 1>&2
  fi
  if [ -r /usr/share/gnome/apps/Utilities/UNIX.desktop ]; then
    perl -pi -e 's/^(Exec=nxterm)$/$1 -fn "-misc-fixed-medium-r-normal--14-\*-iso8859-2"/' /usr/share/gnome/apps/Utilities/UNIX.desktop
    echo %name: /usr/share/gnome/apps/Utilities/UNIX.desktop modified for ISO-8859-2 1>&2
  fi
fi

%triggerin -- AnotherLevel
%define soubor /etc/X11/AnotherLevel/fvwm2rc.defines.m4
if [ -x /usr/bin/perl -a -r %{soubor} ]; then
  perl -pi -e \
    'if (/define.*xterm/ && ! /-misc-fixed-/) {
       s/(define.*xterm)/$1 -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2/;
     };
     if (/define.*rxvt/ && ! /-misc-fixed-/) {
       s/(define.*rxvt)/$1 -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2/;
     }' %{soubor}
  echo %name: %{soubor} modified for ISO-8859-2 1>&2
fi

%triggerun -- AnotherLevel
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/X11/AnotherLevel/fvwm2rc.defines.m4
if [ -x /usr/bin/perl -a -r %{soubor} ]; then
  perl -pi -e '
    s/(xterm) -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2"/$1/;
    s/(xterm) -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2"/$1/;' %{soubor}
  echo %name: %{soubor} restored 1>&2
fi

%triggerin -- fvwm
%define soubor /etc/X11/fvwm/system.fvwmrc
if [ -x /usr/bin/perl -a -r %soubor ]; then
  perl -pi -e ' \
    s/\*-\*-\*$/\*-iso8859-2/;
    if (/exec (xterm|rxvt|xterm-color) / && ! /-misc-fixed-medium-r-normal/) {
      s/exec (xterm|rxvt|xterm-color) /exec $1 -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2 /};
    s/(" xterm) &$/$1 -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2 &/;' %soubor
  echo %name: %soubor modified for ISO-8859-2 1>&2
fi

%triggerun -- fvwm
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/X11/fvwm/system.fvwmrc
if [ -x /usr/bin/perl -a -r %soubor ]; then
  perl -pi -e ' \
    s/\*-iso8859-2/\*-\*-\*/;
    s/(xterm|rxvt|xterm-color) -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2/$1/;' %soubor
  echo %name: %soubor restored 1>&2
fi

%triggerin -- fvwm2
%define soubor /etc/X11/fvwm2/system.fvwm2rc
if [ -x /usr/bin/perl -a -r %soubor ]; then
  perl -pi -e 's/\*-\*-\*$/\*-iso8859-2/;' \
           -e 's/\*-\*-\* /\*-iso8859-2 /;' %soubor
  echo %name: %soubor modified for ISO-8859-2 1>&2
fi

%triggerun -- fvwm2
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/X11/fvwm2/system.fvwm2rc
if [ -x /usr/bin/perl -a -r %soubor ]; then
  perl -pi -e 's/\*-iso8859-2$/\*-\*-\*/;' \
           -e 's/\*-iso8859-2 /\*-\*-\* /;' %soubor
  echo %name: %soubor restored 1>&2
fi

%triggerin -- rxvt
%define soubor /etc/X11/wmconfig/rxvt
if [ -x /usr/bin/perl -a -r %soubor ]; then
  perl -pi -e '
    if (/exec "rxvt/ && ! /-misc-fixed-medium-r-normal/) {
      s/(exec "rxvt)/$1 -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2/;
    }' %soubor
  echo %name: %soubor modified for ISO-8859-2 1>&2
fi

%triggerun -- rxvt
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/X11/fvwm2/system.fvwm2rc
if [ -x /usr/bin/perl -a -r %soubor ]; then
  perl -pi -e 's/(exec "rxvt) -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2/$1/;' %soubor
  echo %name: %soubor restored 1>&2
fi

%triggerin -- AfterStep
%define adresar /usr/share/afterstep
if [ -x /usr/bin/perl ]; then
  ( cd %{adresar}
  for i in start/* non-configurable/* *harf; do
    if [ -f $i ]; then
    perl -pi -e \
      'if (/(xterm|rxvt|xiterm) -/ && ! /-misc-fixed-medium/) {
        s/(xterm|rxvt|xiterm) -/$1 -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2 -/;
       };' $i
    fi
  done )
  echo %name: %{adresar}/\* modified for ISO-8859-2 1>&2
fi

%triggerun -- AfterStep
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define adresar /usr/share/afterstep/start
if [ -x /usr/bin/perl ]; then
  for i in 1_xterm 2_rxvt; do
    if [ -r %{adresar}/$i ]; then
      perl -pi -e 's/(xterm|rxvt) -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2/$1/' %{adresar}/$i
      echo %name: %{adresar}/$i restored 1>&2
    fi
  done
fi

%triggerin -- WindowMaker
%define adresar /etc/X11/WindowMaker
if [ -x /usr/bin/perl ]; then
  for i in WMGLOBAL WindowMaker; do
    if [ -r %{adresar}/$i ]; then
      perl -pi -e 's/\*-\*-\*";$/\*-iso8859-2";/;' %{adresar}/$i
      echo %name: %{adresar}/$i modified for ISO-8859-2 1>&2
    fi
  done
  if [ -r %{adresar}/WMRootMenu ]; then
    perl -pi -e \
      'if (/xterm / && ! /-misc-fixed-medium-r-normal--14-\*-iso8859-2/) {
         s/(xterm) /$1 -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2 /;
       };
       if (/rxvt / && ! /-misc-fixed-medium-r-normal--14-\*-iso8859-2/) {
         s/(rxvt) /$1 -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2 /;
       };
       if (/(xterm|rxvt)/ && / -fn fixed/) {
         s/ -fn fixed//;
       }' %{adresar}/WMRootMenu
    echo %name: %{adresar}/WMRootMenu modified for ISO-8859-2 1>&2
  fi
fi

%triggerun -- WindowMaker
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define adresar /etc/X11/WindowMaker
if [ -x /usr/bin/perl ]; then
  for i in WMGLOBAL WindowMaker; do
    if [ -r %{adresar}/$i ]; then
      perl -pi -e 's/\*-iso8859-2";$/\*-\*-\*";/' %{adresar}/$i
      echo %name: %{adresar}/$i restored 1>&2
    fi
  done
  if [ -r %{adresar}/WMRootMenu ]; then
    perl -pi -e \
      's/(xterm) -fn -misc-fixed-medium-r-normal--14-\*-iso8859-2/$1/' \
      %{adresar}/WMRootMenu
      echo %name: %{adresar}/WMRootMenu restored 1>&2
  fi
fi

%triggerin -- enlightenment
%define soubor /usr/share/enlightenment/themes
if [ -x /usr/bin/perl -a -d %{soubor} ]; then
  find %{soubor} -type f | xargs perl -pi -e 's/\*-\*\"$/iso8859-2\"/;'
  echo %name: %{soubor}/\*/\* modified for ISO-8859-2 1>&2
fi

%triggerun -- enlightenment
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /usr/share/enlightenment/themes
if [ -x /usr/bin/perl -a -r %{soubor} ]; then
  find %{soubor} -type f | xargs perl -pi -e 's/iso8859-2\"$/\*-\*\"/'
  echo %name: %{soubor}/\*/\* restored 1>&2
fi

%triggerin -- lynx
if [ -x /usr/bin/perl -a -r /etc/lynx.cfg ]; then
  rm -f /tmp/lynx.new
  tac /etc/lynx.cfg | perl -p \
    -e 'if ($STARTFILE=="" && /^[#\s]*STARTFILE/) {
            $STARTFILE=1;
            s/(^.*STARTFILE.*$)/STARTFILE:http:\/\/www.linux.cz\/\n#$1/
        }' \
    -e 'if ($CHARACTER_SET=="" && /^[#\s]*CHARACTER_SET/) {
            $CHARACTER_SET=1;
            s/(^.*CHARACTER_SET.*$)/CHARACTER_SET:iso-8859-2\n#$1/
        }' \
    -e 'if ($ASSUME_CHARSET=="" && /^[#\s]*ASSUME_CHARSET/) {
            $ASSUME_CHARSET=1;
            s/(^.*ASSUME_CHARSET.*$)/ASSUME_CHARSET:iso-8859-2\n#$1/
        }' \
    -e 'if ($PREFERRED_LANGUAGE=="" && /^[#\s]*PREFERRED_LANGUAGE/) {
            $PREFERRED_LANGUAGE=1;
            s/(^.*PREFERRED_LANGUAGE.*$)/PREFERRED_LANGUAGE:cs\n#$1/
        }' \
    -e 'if ($PREFERRED_CHARSET=="" && /^[#\s]*PREFERRED_CHARSET/) {
            $PREFERRED_CHARSET=1;
            s/(^.*PREFERRED_CHARSET.*$)/PREFERRED_CHARSET:iso-8859-2\n#$1/
        }' | tac > /tmp/lynx.new
  [ ! -f /etc/lynx.old ] && mv -f /etc/lynx.cfg /etc/lynx.old
  mv -f /tmp/lynx.new /etc/lynx.cfg
  echo %name: /etc/lynx.cfg modified for ISO-8859-2 1>&2
fi

%triggerin -- XFree86
%define soubor /etc/X11/xdm/Xsession
if [ -r  %{mydir}/Xsession -a -f %{soubor} ]; then
  [ ! -f %{soubor}.orig ] && mv -f %{soubor}{,.orig}
  cp -af %{mydir}/Xsession %{soubor}
  chmod +x %{soubor}
  echo %name: %{soubor} modified to use xkbmap 1>&2
fi

%triggerun -- XFree86
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/X11/xdm/Xsession
if [ -r %{soubor}.orig ]; then
  mv -f %{soubor}.orig %{soubor}
  echo %name: %{soubor} restored 1>&2
fi

%triggerin -- xinitrc
%define soubor /etc/X11/xinit/Xkbmap
if [ -r  %{mydir}/Xkbmap -a ! -f %{soubor} ]; then
  cp -af %{mydir}/Xkbmap %{soubor}
  echo %name: %{soubor} added 1>&2
fi

%triggerun -- xinitrc
# do not disturb when upgrading
[ $1 = 1 -a $2 = 1 ] && exit 0
%define soubor /etc/X11/xinit/Xkbmap
if [ -f %{soubor} ]; then
  rm -f %{soubor}
  echo %name: %{soubor} deleted 1>&2
fi

%triggerin -- samba
%define soubor /etc/smb.conf
if [ -x /usr/bin/perl -a -r %{soubor} ]; then
  if ! grep -q '^ *character set' %{soubor}; then
    perl -pi -e 's/(^ *\[global\].*$)/$1\ncharacter set = iso8859-2/' \
         %{soubor}
  fi
  if ! grep -q '^ *client code page' %{soubor}; then
    perl -pi -e 's/(^ *\[global\].*$)/$1\nclient code page = 852/' \
         %{soubor}
  fi
  echo %name: %{soubor} modified for ISO8859-2 1>&2
fi

%triggerun -- samba
%define soubor /etc/smb.conf
if [ -x /usr/bin/perl -a -r %{soubor} ]; then
  perl -pi -e 's/^ *character set = iso8859-2.*//s;' \
           -e 's/^ *client code page = 852.*//s;' %{soubor}
  echo %name: %{soubor} restored 1>&2
fi

%triggerin -- squid
%define soubor /etc/squid/squid.conf
if [ -x /usr/bin/perl -a -r %{soubor} -a \
     -d /usr/lib/squid/errors/Czech ]; then
  if ! grep -q '^ *error_directory /usr/lib/squid/errors/Czech' %{soubor}; then
    perl -pi -e 's/(^#error_directory.*$)/$1\nerror_directory \/usr\/lib\/squid\/errors\/Czech/' %{soubor}
  fi
  echo %name: %{soubor} modified for Czech error messages 1>&2
fi

%changelog
* Sun Oct  3 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- ported to release 6.1 (Cartman)

* Thu Sep 30 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- kvt again in kdebase 

* Sat Sep  4 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- sssssh... a lot of bugs fixed (files are in %{mydir} !!!)
- gnome-core triggrer added
- a lot of stuff added

* Sat Aug 21 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- Squid trigger

* Sun Jul 26 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- changed spec file

* Thu Jul 22 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- added rxvt to KDE panel (kvt originally)

* Thu Jul 22 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- Gnome trigger

* Thu Jul 15 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- few changes in spec file

* Wed Jul 14 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- new Netscape has .ad file
- reporting after action
- Samba trigger

* Fri Jun 18 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- updated /etc/X11/xdm/Xsession to new version XFree-86

* Mon Jun  7 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- name changed to czech-adaptation (due triggers we no longer need
  so strange name z-czech-adaptation)
- Xsession modification added
- Xkbmap file added for xinitrc and Xsession
- fvwm's xterm with -fn ...
- version 2, 3 and 4

* Sun Jun  6 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- initial triggered version
- packages: netscape, lynx, kdm (KDE)
